#ifndef SYSTEM_H
#define SYSTEM_H

//#define UART_CONTROL // Control the player through UART
#define GPIO_CONTROL // Control the player through GPIO, see more configuration from gpioctrl.c

//#define EXTCLOCK 13000 /* set to correct clock if not 12MHz. usbmass.c sets clock at first boot */

//#define SHOW_LONG_FILENAMES // Show long filenames in the "L" command
#define USE_WAV /* Play linear wav files using CodMicroWav from libdev1000. */
//#define START_IN_FILE_MODE

//#define USE_QUEUE   //START_IN_FILE_MODE implied
//#define DISABLE_USB //Disable USB code from sdplayer to give room for queue
#define USE_POWERBUTTON //enable turn off by the powerbutton


/* The number of 512-byte blocks totally available in the SPI Flash chip.
   This is most important to be correct when you format the SPI FLASH
   mass storage drive through USB.
 */
//#define CHIP_TOTAL_BLOCKS  32768 /*  32768 * 512 bytes = 16MB */
//#define CHIP_TOTAL_BLOCKS  8192 /*  8192 * 512 bytes = 4M (Winbond 25X32) */
#define CHIP_TOTAL_BLOCKS  4096 /*  4096 * 512 bytes = 2M (Winbond 25X16) */
//#define CHIP_TOTAL_BLOCKS 512  /* 512 * 512 bytes = 256K (Winbond 25X20) */





#ifndef SPIPLAYERSTART
/*Note: do not change, these must match the values used in all
        post-build steps of the VSIDE projects. */
#define SPIPLAYERSTART  8192
#define SDPLAYERSTART   16384
#endif

/* Set aside some blocks for VS1000 boot code (and optional parameter data) .
   Note that this is different than in vs1000 button cell player and some
   other example codes.
 */
#define RESERVED_BLOCKS 64
#define LOGICAL_DISK_BLOCKS  (CHIP_TOTAL_BLOCKS-RESERVED_BLOCKS)

// storing the disk data inverted is optimal for the system.
// storing the disk data uninverted (as is) makes it easier to debug the SPI image
#define USE_INVERTED_DISK_DATA 1

#define GPIO0_PULLUPS   0x1b80 // Audio module has pull-ups in these pins

#ifdef ASM
#else
#define PLAYER_WAIT_FOR_COMMAND 0
#define PLAYER_CONTINUOUS_PLAY  1
extern int playerMode; // = PLAYER_CONTINUOUS_PLAY;
#define GPIO0_SD_POWER GPIO0_ALE
void CheckSd(void); //called by uart.c and gpio.c to check SD insert/remove

#include <vstypes.h>
/* generic support functions */
void putstrp(register __i0 u_int16 *packedStr);
unsigned short atou(register __i2 const char *s);

#if defined(UART_CONTROL) && defined(GPIO_CONTROL)
error_both_UART_CONTROL_and_GPIO_CONTROL_can_not_be_on_at_the_same_time();
#endif
#endif

#endif/*!SYSTEM_H*/
